adminadopet/urls.py
from django.urls import path
from . import views

app_name = 'adminadopet'

urlpatterns = [
    path('', views.beranda, name='beranda'),
    path('eval-open-donasi/<id>/delete', views.delete_open_donasi, name= 'delete_open_donasi'),
    path('eval-open-donasi/<id>/', views.eval_open_donasi, name='eval_open_donasi'),
    path('eval-artikel/<id>/', views.eval_artikel, name='eval_artikel'),
    path('eval-artikel/<id>/delete', views.delete_artikel, name='delete_artikel'),
    path('berhasil-unggah/', views.berhasil_unggah, name="berhasil_unggah"),
    path('search/', views.search, name='search'),
]

adopet/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('user/', include('user.urls')),
    path('admin-adopet/', include('adminadopet.urls')),
]

user/urls.py
from django.urls import path
from . import views

app_name = 'user'

urlpatterns = [
    path('form-request-open-donasi/', views.form_request_open_donasi, name='form_request_open_donasi'),
    path('detail-donasi/<id>/', views.detail_donasi, name='detail_donasi'),
    path('detail-donasi/<id>/melakukan-donasi/', views.melakukan_donasi, name='melakukan_donasi'),
    path('detail-donasi/<id>/list-donasi/', views.list_donasi, name='list_donasi'),
    path('detail-donasi/<id_donasi>/list-donasi/<id_pendonasian>/delete', views.delete_pendonasian, name='delete_pendonasian'),
    path('detail-donasi/<id_donasi>/list-donasi/<id_pendonasian>/berhasil', views.berhasil_donasi, name='berhasil_donasi'),
    path('form-open-adopt/', views.form_open_adopt, name='form_open_adopt'),
    path('detail-open-adopt/<id>/', views.detail_open_adopt, name='detail_open_adopt'),
    path('detail-open-adopt/<id>/buat-forum/', views.buat_forum, name='buat_forum'),
    path('detail-open-adopt/<id_hewan>/forum/<id_forum>/reply/', views.reply_forum, name='reply_forum'),
    path('detail-open-adopt/<id>/form-pengadopsian/', views.form_pengadopsian, name='form_pengadopsian'),
    path('detail-open-adopt/<id>/detail-pengadopsian/', views.detail_pengadopsian, name='detail_pengadopsian'),
    path('detail-open-adopt/<id_hewan>/detail-pengadopsian/<id_adopsi>/delete', views.delete_request_adopsi, name='delete_request_adopsi'),
    path('detail-open-adopt/<id_hewan>/detail-pengadopsian/<id_adopsi>/berhasil', views.berhasil_adopsi, name='berhasil_adopsi'),
    path('profil/', views.profil, name='profil'),
    path('form-request-artikel/', views.form_request_artikel, name='form_request_artikel'),
    path('', views.beranda, name='beranda'),
    path('berhasil-unggah/', views.berhasil_unggah, name='berhasil_unggah'),
    path('berhasil-request/', views.berhasil_request, name='berhasil_request'),
    path('detail-artikel/<id>/', views.detail_artikel, name='detail_artikel'),
    path('profil/buat-testimoni/', views.buat_testimoni, name='buat_testimoni'),
    path('chatpage/', views.chatpage, name='chatpage'),
    path('chatpage/send/<id_pengirim>/<id_penerima>', views.send_message, name='send_message'),
    path('list_hewan/', views.list_hewan, name='list_hewan'),
    path('list_foto/', views.list_foto, name='list_foto'),
    path('search/', views.search, name='search')
]

templates/artikel/detailartikel.html
{% extends 'navbar.html' %}
{% block content_block %}
{% load static %}
<head>
	<link rel="stylesheet" href="{% static 'css/artikel.css' %}" type="text/CSS">
</head>
<a href="{% url 'user:beranda' %}" class="btn btn-kembali"> < Kembali</a>
<div class="container">
    <div class="row justify-content-center">
        <div class="artikel-isi">
			<p class="judul-unggahartikel">{{artikel.judul_artikel}}</p>
			<p class="nama-penulis">Ditulis oleh : User</p>
			<p class="tag-artikel">Tag : {{artikel.tag_artikel}}</p>
			<br>
            <p> {{artikel.isi_artikel}} </p>
        </div>
	</div>
</div>
{% endblock content_block %}

templates/artikel/form-eval-artikel.html
{% extends 'navbar.html' %}
{% block content_block %}
{% load static %}
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="{% static 'css/artikel.css' %}" type="text/CSS">
</head>
<a href="{% url 'adminadopet:beranda' %}" class="btn btn-kembali"> < Kembali</a>
<div class="container">
	<div class="row justify-content-md-center">
		<h1 class="head-artikel">Request Artikel</h1>
	</div>
</div>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-7">
            <p class="form-label">Judul Artikel :</p>
            <p class="jawaban">{{artikel.judul_artikel}}</p>
            <p class="form-label">Unggahan Foto :</p>
            <img src="{% static 'images/kucing-1.jpg' %}" alt="">
            <p class="form-label">Isi Artikel :</p>
            <p class="jawaban">{{artikel.isi_artikel}} </p>
            <p class="form-label">Tag Artikel :</p>    
            <p class="jawaban">{{artikel.tag_artikel}} </p>
        </div>
    </div>
    <div class="row justify-content-center unggah">
        <form method ="POST" action="{% url 'adminadopet:delete_artikel' artikel.id %}">{% csrf_token %}
            <div class="col-6">
                <button type="submit" class="btn btn-listadopsi">Tolak</button>
            </div>     
        </form>
        <form method ="POST" action="{% url 'adminadopet:eval_artikel' artikel.id %}">{% csrf_token %}
            <div class="col-6">
                <button type="submit" class="btn btn-listadopsi">Unggah</button>
            </div>     
        </form>  
    </div>
</div>

{% endblock content_block %}

templates/artikel/form-request-artikel.html
{% extends 'head.html' %}
{% block content_block %}
{% load static %}
<head>
	<link rel="stylesheet" href="{% static 'css/artikel.css' %}" type="text/CSS">
</head>
<a href="{% url 'user:beranda' %}" class="btn btn-kembali"> < Kembali</a>
<div class="container">
	<div class="row justify-content-md-center">
		<h1 class="head-artikel">Form Request Artikel</h1>
	</div>
</div>
<div class="container">
	<form method="POST"> {% csrf_token %}
		<div class="form-group">
			<div class="form-group1">
				<label for="judul_artikel">Judul Artikel :</label><br>
				<textarea class="form-control" name="judul_artikel" cols="10" rows="1" placeholder="Tulis Judul Disini" required></textarea>
			</div>
			<div class="form-group2">
				<label for="isi_artikel">Isi Artikel :</label>
				<textarea class="form-control" name="isi_artikel" cols="50" rows="6" placeholder="Tulis Artikelmu Disini" required></textarea>
			</div>
			<div class="form-group3">
				<label for="img_artikel">Foto Artikel :</label>
				<input type="file" class="form-control-file" name="img_artikel" accept="image/*">
			</div>
			<br>
			<label for="tag-artikel">Tag Artikel :</label>
			<div class="form-control">
				<div class = "row">
					<div class="col">
						<input type="checkbox" id="tag-anjing" name="tag_artikel" value="Anjing">
						<label for="tag-anjing"> anjing</label><br>
					</div>
					<div class="col">
						<input type="checkbox" id="tag-kucing" name="tag_artikel" value="Kucing">
						<label for="tag-kucing"> kucing</label><br>
					</div>
					<div class="col">
						<input type="checkbox" id="tag-artikel" name="tag_artikel" value="Artikel">
						<label for="tag-artikel"> artikel</label><br>
					</div>
					<div class="col">
						<input type="checkbox" id="tag-makanan" name="tag_artikel" value="Makanan">
						<label for="tag-makanan"> makanan</label><br>
					</div>
				</div>
			</div>
			<div class="row justify-content-center unggah">
				<button type="submit" class="btn btn-secondary">Request</button>
			</div>
		</div>
	</form>
</div>
{% endblock content_block %}